
.coffee-page {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  position: relative;
  height: 100vh;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.coffee-page .coffee-list{
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.coffee-page .coffee-list .coffee-list-add-block {
  margin-top: 40px;
  text-align: center;
}

.coffee-page .coffee-list .coffee-list-add-block > button {
  margin-bottom: 16px;
}

.coffee-page .coffee-list .coffee-list-add-block > p {
  color:rgba(70, 52, 46, 0.5)
}


.coffee-page .coffee-list-content {
  display: flex;
  flex-direction: column;
  gap:28px;
  overflow-y: auto;
  max-height: 80%;
  max-width: 100%;
}

.coffee-page .coffee-list-item {
  display: flex;
  flex-direction: column;
  max-width: 375px;
  height: 460px;
}

.coffee-page .coffee-list-item .item-top-block {
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
  height: 308px;
  bottom: -20px;
  border-top-right-radius: 24px;
  border-top-left-radius: 24px;
  background: #fff;
}

.coffee-page .coffee-list-item .item-bottom-block {
  display: flex;
  flex-direction: column;
  padding: 20px;
  border-radius: 24px;
  background: #fff;
  z-index: 1;
}

.coffee-page .coffee-list-item .item-top-block .item-img {
  position: absolute;
  height: 100%;
  width: 100%;
  top:0;
  left: 0;
  border-top-right-radius: 24px;
  border-top-left-radius: 24px;
  object-fit: cover;
}

.coffee-page .coffee-list-item .item-bottom-block .item-name {
  color: #46342E;
  font-weight: 700;
  font-size: 24px;
  margin-bottom: 4px;
}

.coffee-page .coffee-list-item .item-bottom-block .item-origin {
  color: #46342E;
  font-size: 14px;
}

.coffee-page .coffee-list-item .item-bottom-block .item-variety,
.coffee-page .coffee-list-item .item-bottom-block .item-intensifier {
  color: rgba(70, 52, 46, 0.5)
}

.coffee-page .coffee-list-item .item-bottom-block .item-notes {
  display: flex;
  gap: 8px;
  margin-top: 12px;
  margin-bottom: 20px;
  overflow: auto;
}

.coffee-page .coffee-list-item .item-bottom-block .item-notes .notes-item {
  text-transform: uppercase;
  background: rgba(233, 222, 207, 0.5);
  border-radius: 8px;
  padding: 4px;
  font-size: 14px;
  line-height: 12px;
  display: flex;
  align-items: center;
  white-space: nowrap;
}

.coffee-page .coffee-list-item .item-bottom-block .last-block {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 14px;
  line-height: 24px;
  color: rgba(70, 52, 46, 0.5)
}

.coffee-page .coffee-list-item .item-bottom-block .last-block .item-intensifier,
.coffee-page .coffee-list-item .item-bottom-block .last-block .item-variety {
  display: flex;
  align-items: center;
  gap: 8px
}


@media screen and (max-width: 959px){
  .coffee-page .coffee-list-content {
    max-height: 70%;
  }
}


